Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class WindowPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.window.WindowPresentationContext

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PagePresentationContext, PortletPresentationContext

public abstract class WindowPresentationContext
extends PresentationContext

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `WindowPresentationContext(Window window)`

Method Summary
`String` | `getContentPresentationClass()` Get the content's `div class` attribute value.
`List` | `getContentPresentationContextChildren()`
`String` | `getContentPresentationStyle()` Get the content's `div style` attribute value.
`String` | `getDefinitionId()`
`String` | `getDefinitionLabel()`
`String` | `getInstanceId()`
`abstract String` | `getLabel()`
`String` | `getOrientation()`
`PagePresentationContext` | `getParentPagePresentationContext()`
`String` | `getTitle()`
`WindowMode` | `getWindowMode()`
`static WindowPresentationContext` | `getWindowPresentationContext(HttpServletRequest request)` Returns the `WindowPresentationContext` that is in the request.
`WindowState` | `getWindowState()`
`boolean` | `isCapable(Capability capability)` Returns `true` if this control has the given capability.
`boolean` | `isPacked()`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowPresentationContext

    protected WindowPresentationContext(Window window)

Method Detail

### getWindowMode

    public WindowMode getWindowMode()

### getWindowState

    public WindowState getWindowState()

### getTitle

    public String getTitle()

### getInstanceId

    public String getInstanceId()

### getDefinitionId

    public String getDefinitionId()

### getOrientation

    public String getOrientation()

### isPacked

    public boolean isPacked()

### getDefinitionLabel

    public String getDefinitionLabel()

### getLabel

    public abstract String getLabel()

### getContentPresentationContextChildren

    public List getContentPresentationContextChildren()

### getParentPagePresentationContext

    public PagePresentationContext getParentPagePresentationContext()

### getWindowPresentationContext

    public static WindowPresentationContext getWindowPresentationContext(HttpServletRequest request)

  Returns the `WindowPresentationContext` that is in the request.

  Parameters:
    `request` - The request from which to fetch the context
  Returns:
    The context instance

### getContentPresentationClass

    public String getContentPresentationClass()

  Get the content's `div class` attribute value. This class value will only effect the content of the window.

  Returns:
    class attribute value

### getContentPresentationStyle

    public String getContentPresentationStyle()

  Get the content's `div style` attribute value. This value will only effect the content of the window.

  `example: height:200px;overflow:auto;`

  Returns:
    style attribute value.

### isCapable

    public boolean isCapable(Capability capability)

  Returns `true` if this control has the given capability.

  Parameters:
    `capability` - - window mode or state
  See Also:
    `WindowCapabilities`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved